<template>
    <div class="col-12">
        <h2>Gestion des Societes</h2>
        <br>
        <router-link :to="{path:'new'}" append>
            <button class="btn btn-info float-right but">Nouvelle Societe</button>
        </router-link>
        <table class="table table-hover">
            <thead>
                <tr>
                    <th>Nom</th>
                    <th>Adresse</th>
                    <th>Code postal</th>
                    <th>Pays</th>
                    <th>Bâtiment</th>
                    <th>Téléphone</th>
                    <th>URL</th>
                    <th>Activité</th>
                    <th>SIRET</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="company in companies">
                    <td>{{company.name}}</td>
                    <td>{{company.adress}}</td>
                    <td>{{company.zip}}</td>
                    <td>{{company.county}}</td>
                    <td>{{company.building}}</td>
                    <td>{{company.phone}}</td>
                    <td><a v-bind:href="company.url">{{company.url}}</a></td>
                    <td>{{company.activity}}</td>
                    <td>{{company.siret}}</td>
                    <td>
                        <router-link :to="{ path:company._id+ '/edit'}" append>
                            <button class="btn btn-info">Modifier</button>
                        </router-link>
                    </td>
                </tr>
            </tbody>
        </table>
    
    </div>
</template>

<script>
export default {
    computed:{
        companies(){
            return this.$store.getters.getAllCompanies;
        }
    },
    created() {
        this.$store.dispatch('setAllCompanies');
    }
}
</script>

<style>
.but {
    margin-bottom:30px;
  }

</style>
